import request from '@/utils/request'

// 查询车辆管理列表
export function listCar(query) {
  return request({
    url: '/clw/car/list',
    method: 'get',
    params: query,
  })
}

// 查询车辆管理详细
export function getCar(id) {
  return request({
    url: '/clw/car/' + id,
    method: 'get',
  })
}

// 新增车辆管理
export function addCar(data) {
  return request({
    url: '/clw/car',
    method: 'post',
    data: data,
  })
}

// 修改车辆管理
export function updateCar(data) {
  return request({
    url: '/clw/car',
    method: 'put',
    data: data,
  })
}

// 删除车辆管理
export function delCar(id) {
  return request({
    url: '/clw/car/' + id,
    method: 'delete',
  })
}
// 用户列表
export function getUserList(params) {
  return request({
    url: '/system/user/list',
    method: 'get',
    params,
  })
}
// 车辆分类树
export function getCategoryTree() {
  return request({
    url: '/clw/category/tree',
    method: 'get'
  })
}